Maintenance Dispatch Item
The maintenance dispatch item resource.
/maintenanceDispatchItemList maintenance dispatch items
Retrieve a paginated list of maintenance dispatch items. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
curl --request GET \
--url 'https://rest.carbon.ms/maintenanceDispatchItem?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'[
{
"id": "abc123def456",
"maintenanceDispatchId": "xyz789",
"itemId": "xyz789",
"quantity": 10,
"unitOfMeasureCode": "string",
"companyId": "xyz789",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z"
}
]/maintenanceDispatchItemRetrieve a maintenance dispatch item
Fetch a single maintenance dispatch item by filtering on `id`.
Query parameters
idstringMatch on the maintenance dispatch item's `id`, e.g. `eq.{id}`.
curl --request GET \
--url 'https://rest.carbon.ms/maintenanceDispatchItem?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'{
"id": "abc123def456",
"maintenanceDispatchId": "xyz789",
"itemId": "xyz789",
"quantity": 10,
"unitOfMeasureCode": "string",
"companyId": "xyz789",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z"
}/maintenanceDispatchItemCreate a maintenance dispatch item
Create a new maintenance dispatch item.
Body parameters
maintenanceDispatchIdstringrequiredReferences maintenanceDispatch.id
itemIdstringrequiredReferences item.id
quantitynumberrequiredunitOfMeasureCodestringrequiredunitCostnumbertotalCostnumbercompanyIdstringrequiredReferences company.id
curl --request POST \
--url https://rest.carbon.ms/maintenanceDispatchItem \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"maintenanceDispatchId":"xyz789","itemId":"xyz789","quantity":10,"unitOfMeasureCode":"string","companyId":"xyz789"}'{
"id": "abc123def456",
"maintenanceDispatchId": "xyz789",
"itemId": "xyz789",
"quantity": 10,
"unitOfMeasureCode": "string",
"companyId": "xyz789",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z"
}/maintenanceDispatchItemUpdate a maintenance dispatch item
Update an existing maintenance dispatch item, matched on `id`.
Body parameters
maintenanceDispatchIdstringrequiredReferences maintenanceDispatch.id
itemIdstringrequiredReferences item.id
quantitynumberrequiredunitOfMeasureCodestringrequiredunitCostnumbertotalCostnumbercompanyIdstringrequiredReferences company.id
curl --request PATCH \
--url 'https://rest.carbon.ms/maintenanceDispatchItem?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"maintenanceDispatchId":"xyz789"}'{
"id": "abc123def456",
"maintenanceDispatchId": "xyz789",
"itemId": "xyz789",
"quantity": 10,
"unitOfMeasureCode": "string",
"companyId": "xyz789",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z"
}/maintenanceDispatchItemDelete a maintenance dispatch item
Delete a maintenance dispatch item, matched on `id`. Returns 204 No Content.
Query parameters
idstringThe `id` of the maintenance dispatch item to delete, e.g. `eq.{id}`.
curl --request DELETE \
--url 'https://rest.carbon.ms/maintenanceDispatchItem?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'